package com.bzd.system.service.fwgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 扫码提成列表查询 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SFwglServicepackageinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSFwglServicepackageinfo(PageData pd)throws Exception {
        return daoSupport.update("SFwglServicepackageinfoMapper.addSFwglServicepackageinfo", pd);
    }

    public List<PageData> findSFwglServicepackageinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SFwglServicepackageinfoMapper.selectSFwglServicepackageinfoList", pd);
    }

    public Integer SFwglServicepackageinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SFwglServicepackageinfoMapper.SFwglServicepackageinfoRemove", pd);
    }


    public Integer updateSFwglServicepackageinfo(PageData pd)throws Exception {
        return daoSupport.update("SFwglServicepackageinfoMapper.updateSFwglServicepackageinfo", pd);
    }

}
